{% extends 'layout_admin.html.twig' %}
{% block javascripts %}
    {{ parent() }}
{% endblock %}

{% block stylesheets %}
    {{ parent() }}
{% endblock %}

{% block sonata_sidebar_search %}
{% endblock %}


{% block sonata_page_content %}






    <div class="row">
        <div class="col-xs-12 col-md-12">
            <div class="box box-primary" style="margin-bottom: 100px;">
                <div class="box-body table-responsive no-padding">


                    <table class="table table-bordered table-striped table-hover sonata-ba-list">
                        <thead>
                        <tr class="sonata-ba-list-field-header">
                            <th class="sonata-ba-list-field-header-text">
                                <a href="#">
                                    Title
                                </a></th>
                            <th class="sonata-ba-list-field-header-textarea">
                                <a href="#">
                                    Description
                                </a>
                            </th>
                            <th class="sonata-ba-list-field-header-date">
                                <a href="#">
                                    Course Date
                                </a></th>
                            <th class="sonata-ba-list-field-header-date">
                                <a href="#">
                                    Certificate Date
                                </a></th>
                            <th class="sonata-ba-list-field-header-text">
                                Attendees
                            </th>
                        </tr>
                        </thead>

                        <tbody>

                        {% for course in courses %}
                            <tr>

                                <td class="sonata-ba-list-field sonata-ba-list-field-text">
                                    {{ course.title }}
                                </td>


                                <td class="sonata-ba-list-field sonata-ba-list-field-textarea">
                                    {{ course.description }}
                                </td>


                                <td class="sonata-ba-list-field sonata-ba-list-field-date">
                                    {{ course.courseDate|date("d/m/Y")  }}
                                </td>


                                <td class="sonata-ba-list-field sonata-ba-list-field-date">
                                    {{ course.certificateDate|date("d/m/Y")  }}
                                </td>


                                <td class="sonata-ba-list-field sonata-ba-list-field-text">
                                    <a href="{{ path('attendees_list', {'id': course.id}) }}">Show Attendees with Certificates</a>
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>

                    </table>


                </div>
                <div class="box-footer">


                </div>
            </div>

        </div>
    </div>

{% endblock %}